#
# spec file for package syslog-ng-incubator
#
# Copyright (c) 2014 Peter Czanik, Budapest, Hungary.
#

Name:		syslog-ng-incubator
Version:	0.5.0
Release:	1%{?dist}
Summary:	The syslog-ng module incubator
License:	GPLv2
Group:		System Environment/Daemons
Url:		https://github.com/balabit/syslog-ng-incubator
Source:		syslog-ng-incubator-%{version}.tar.xz
Patch0:         syslog-ng-incubator-bison-warning.patch
BuildRequires:	syslog-ng-devel
BuildRequires:	pkgconfig
BuildRequires:	bison
BuildRequires:  flex
BuildRequires:	eventlog-devel
BuildRequires:	glib2-devel
BuildRequires:	pcre-devel
# BuildRequires:	lua-devel
BuildRequires:	ivykis-devel
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Embed
BuildRequires:  librdkafka-devel
BuildRequires:	grok-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The syslog-ng module incubator (Incubator henceforth) is a collection 
of tools and modules for syslog-ng that for one reason or the other, are
not part of the official repository. This serves both as a staging ground
for experimental modules, and as a repository of plugins that are not
aimed at upstream inclusion. It's also an example of a third party
syslog-ng module.

%package grok
Summary:        Grok parser support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}, libgrok1 >= 0.9.2

%description grok
This package provides grok parser support for syslog-ng

%package perl
Summary:        Perl destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description perl
This package provides perl destination support for syslog-ng.

%package kafka
Summary:        Kafka destination support for syslog-ng
Group:          System/Libraries
Requires:       %{name} = %{version}

%description kafka
This package provides kafka destination support for syslog-ng.

%prep
%setup -q -n syslog-ng-incubator-%{version}
%patch0 -p1 

%build
export AM_YFLAGS=-d
%configure \
	--datadir="%{_datadir}/syslog-ng"
make %_smp_mflags

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove development related files
rm %{buildroot}/%{_libdir}/syslog-ng/*.a
rm %{buildroot}/%{_libdir}/syslog-ng/*.la

%clean

%files
%defattr(-,root,root)
%attr(755,root,root) %{_libdir}/*
%exclude %{_libdir}/syslog-ng/libmod-perl.so
%exclude %{_libdir}/syslog-ng/libgrok-parser.so
%exclude %{_libdir}/syslog-ng/libkafka.so


%files grok
%attr(755,root,root) %{_libdir}/syslog-ng/libgrok-parser.so

%files perl
%attr(755,root,root) %{_libdir}/syslog-ng/libmod-perl.so

%files kafka
%attr(755,root,root) %{_libdir}/syslog-ng/libkafka.so

%changelog
* Fri Sep  4 2015 - czanik@balabit.hu 0.5.0-1
- update to 0.5.0
- remove java & python support
  (features merged to syslog-ng core)
- remove lua / monitoring source support
  due to lack of recent enough lua

* Wed Mar 25 2015 - czanik@balabit.hu 0.4.1-3
- add kafka destination

* Wed Jan 28 2015 - wernli at in2p3.fr 0.4.1-1
- add grok parser

* Tue Dec 19 2014 - czanik@balabit.hu
- update to 0.4.1 (bugfix release)

* Mon Dec 15 2014 - czanik@balabit.hu
- update to 0.4.0
- remove features migrated to syslog-ng (riemann, graphite)

* Fri Jul 25 2014 - czanik@balabit.hu
- update to 0.3.3 (bugfix release)
- move elasticsearch plugin into separate subpackage due to dependencies

* Thu Jul 17 2014 - czanik@balabit.hu

- update to 0.3.2 (bugfix release)

* Fri Jun  6 2014 - czanik@balabit.hu

- update to 0.3.1
- add perl and python destination support
- spec cleanup :)

* Thu Mar 13 2014 - czanik@balabit.hu

- update to 0.2.1 (bugfix release)

* Thu Feb 27 2014 - czanik@balabit.hu

- update to 0.2
- add riemann support

* Fri Dec 20 2013 - czanik@balabit.hu

- initial release

